菲律宾赌城官网:

 找回密码
 注册会员

只需一步,快速开始

搜索
查看: 293|回复: 5

菲律宾赌城官网: 分享两个宏,有详细注解,可尽情修改使用,代码也一起放了。

新葡京娱乐城备用网址
1#
发表于 7 天前 | 只看该作者 |倒序浏览 |阅读模式

9 K$ n( ?% y, e7 r7 p工程图转格式:5 a4 F6 M, @* R. \3 q4 \9 L
" Z4 o3 ]$ o7 |/ t+ L- h
. @+ u( j  V" H
Dim swApp As Object" ^# A) e- I6 p( L* V
Dim Part As Object
0 v9 r+ m# w4 V9 M) }% j: bDim Filename As String% N. w# R: y3 [1 x! n, n9 \
Dim No As Integer1 y6 ~+ }: V- ~! @) j: t0 P1 u. k
Dim Title As String          '以上设定变量
" T5 c6 A2 ?  HSub main(). X* `' x6 J: J; U$ T2 H
Set swApp = Application.SldWorks
- B4 y. j; }- S2 w0 r/ ^Set Part = swApp.ActiveDoc                                                  '以上交换数据1 u( l# x, h4 P: @9 k2 q- S
Filename = Part.GetPathName()                                               'Filename为文件名- J0 K: c) a/ Q- L: T
No = Len(Filename)                                                          'no为工程图文件名字符串总数4 n7 v) f2 p9 f( ~% u" L
If No > 0 Then                                                              '当NO大于0时(转换格式名称是工程图名称,故要先保存工程图才可转换,工程图未保存无名称,无字符串,不可进行一下步)2 I. n5 B+ R( p6 Y: z
Filename = Left(Filename, No - 7) + "." + Right(Filename, 1)                '字串符操作,no-7为去掉工程图后缀名,"."+ right(filename,1)为增加后缀名最后一个字母作为识别,用于区别客户来图,可不要
; L* }! |/ v  C2 B( ~9 oPart.SaveAs2 Filename & ".dwg", 0, True, False                              '输出需要转换的格式文件,已有文件则自动替换,不提示,(有些格式文件在打开状态中不可替换,替换不成功也不提示)
7 j' e' m# b3 u0 GPart.SaveAs2 Filename & ".pdf", 0, True, False8 n8 g& J4 e/ x5 Q
End If
6 P' d+ n6 g: m0 t$ ]6 O; W, Z9 [End Sub
: _$ l- V1 p0 X6 i
6 }+ l# k3 ~4 H1 A( d, x
# U$ E$ M7 ]. j; f6 T" Q
% P/ x- h- Z  V5 g属性改写宏:
1 D$ f( e3 D9 U* l- Z6 q* l$ \3 l0 ]4 m

% H# k& Q' P7 d6 x& J
3 ^8 h- J6 u* I5 f( xSub main()
+ r* c0 N6 @2 v
( b: B  f1 E0 {* @7 jDim swApp As SldWorks.SldWorks
1 l. X8 @: n+ l) f5 |Dim swModel2 As SldWorks.ModelDoc2. i* W! W8 `/ |6 L1 `
Dim SelMgr As SldWorks.SelectionMgr9 d! j$ b' X7 w' Y' C
Dim vCustInfoNameArr2 As Variant
! {) W) s# i9 J/ oDim vCustInfoName2 As Variant
' _3 J5 J  a* W0 V8 xDim CurCFGname As Variant8 P# D  k$ ~. I  ]: ^
Dim CurCFGnameCount As Integer
7 I8 D; z( W1 C' J( E: e* xDim Vnamearr As Variant
& o9 F$ u- ?( j1 V5 HDim CusPropMgr As CustomPropertyManager
& ]5 O+ E! j) r: a6 QDim bRet As Boolean
2 P7 h" N2 `: f' B" [, V9 N, vDim Vnamearr2 As Variant* M2 u9 a3 g! z1 ]. [

" S) {8 I, O/ [% l' gDim strmat As String
; {$ _, H+ v" t/ s4 q! \Dim tempvalue As String+ J1 w& Y- b9 q& a4 X. c& `4 n

2 A3 @6 q/ [5 O! K1 U0 c- qSet swApp = Application.SldWorks
; ?/ M) R7 s9 y  s+ j: O: t3 QSet swModel2 = swApp.ActiveDoc
& U5 [/ b. f8 I! R, s- Z  bSet SelMgr = swModel2.SelectionManager '
/ p3 U% a: m: U- u- ?
, V4 ^' {) c* n$ u5 dDim tg1 As String
( [8 T8 x) B& l! GDim tg2 As String
& L2 |* p" |0 M: O  MDim tg3 As String3 K; p3 }* _( J! M* q3 M
Dim tg4 As String; M& z  ?& @5 `* W4 k6 O
Dim tg5 As String) F8 ]2 p4 u0 d8 I! m4 U
Dim tg6 As String6 T- P8 l  T& {
Dim tg7 As String$ E" u; z8 G0 y9 f7 Y. Q* Z8 P, X
Dim tg8 As String
' L9 W( b' k& W/ H9 a5 {3 dDim tg9 As String6 b9 f" q# ^2 d9 ]8 t8 d- x) P. z4 Q
Dim tg10 As String% p8 t7 T9 c, P/ S" f' b3 F
Dim tg11 As String
4 [5 _8 D* k* A; XDim wm As String6 C+ x1 c/ P. o8 B- {) Q- {$ U- f+ T
Dim wm1 As Integer1 L9 X( S% |; o
Dim wm2 As String5 S/ ^) v. i, w
Dim wm3 As String
1 g* e& P  s$ s  K8 C- HDim wm4 As String* i1 V+ j4 R2 M
Dim wm5 As String# W4 ]- C2 s' ?: \
Dim wm6 As String5 P! R$ f; e$ P' D# X# b7 f
Dim wm7 As Integer8 n) r% T2 r. w7 ]& g+ w9 E
Dim wm8 As String
+ `! Q: R5 R8 c" oDim wm9 As Integer
( ^% n0 d& T: ?" b) _( s2 ODim lz As String8 A0 u( f+ \( Z, o
Dim lz1 As Integer; i3 z* v5 t: W" B$ K
Dim lz2 As String7 Z* e6 q/ J8 O& M2 q3 z0 b
Dim lz3 As String' ?3 |; d5 ~) s! G+ o9 L4 i
Dim lz4 As Integer5 W) i" V2 N% G- O
Dim lz5 As Integer
  j0 G3 ]. o6 h: I. uDim lz6 As String
' P2 h- @6 R+ b/ tDim lz7 As Integer                                                                     '以上为设定变量' U6 W! [2 z" U6 Y4 u# g$ Z. W8 ?

# l- r  N0 v0 K- R/ v4 U+ W$ l) ^! a" }$ E+ H8 P; N
swApp.ActiveDoc.ActiveView.FrameState = 1
4 B9 L$ N4 i9 U+ T9 GvCustInfoNameArr2 = swModel2.GetCustomInfoNames% c& k  X8 K# y$ P4 {, d2 ?" D3 T
  If Not IsEmpty(vCustInfoNameArr2) Then* d& q9 A9 @1 y* [% ?, x, A+ L1 {; J+ r4 u
     For Each vCustInfoName2 In vCustInfoNameArr2
; a9 W8 l' X  a         bRet = swModel2.DeleteCustomInfo(vCustInfoName2)9 S9 j1 m) j8 ~2 F) L9 ^! L
      Next$ M. E8 D% P( ]6 Q
  End If                                                                               '此段是删除自定属性中的所有项和其项值' n. I8 S6 ~) l% C" k; I5 m" P
# p# }; v2 _* R

$ I. J& O. V: E$ m3 d4 mCurCFGname = swModel2.GetConfigurationNames6 B& D& u8 c4 F
CurCFGnameCount = swModel2.GetConfigurationCount% ^* [5 z- ?& z1 q
For i = 0 To CurCFGnameCount - 15 J  E( I: S9 E" F  d; n
    Set CusPropMgr = swModel2.Extension.CustomPropertyManager(CurCFGname(i))& B2 r8 Q) @3 Y$ e2 o' g( C
    Vnamearr = CusPropMgr.GetNames
. w4 [# k# u& G) u    If Not IsEmpty(Vnamearr) Then
" c: `9 w: [( C. j% D6 x        For Each Vnamearr2 In Vnamearr; \; u" j4 \" `9 L* z: j0 e( k
            bRet = swModel2.DeleteCustomInfo2(CurCFGname(i), Vnamearr2): s) n7 D: e+ I- o" S0 z
        Next% j) {/ G; o) P1 g' B. ^
    End If/ @) m% k( T: y& L7 N& Z1 P1 H+ t
    Next                                                                               '此断是删除其他配置中的属性所有项和其项值2 j) i: D- F' G/ o5 q% x
. [) [7 j9 F( d: t8 H; N0 p' W6 r

: a1 y" _: Y6 i$ Hwm = swApp.ActiveDoc.GetTitle()                                                         '定义是文件名- P- Q" B9 Y: z7 I# Z
lz = swApp.ActiveDoc.GetPathName()                                                      '定义为文件路径) a! X% X" z4 l7 N* Y. |, Z) B4 y6 C
tg6 = Chr(34) + Trim("SW-Material" + "@") + wm + Chr(34)                                '定义材料属性
7 h( {+ G8 h! y; Stg7 = Chr(34) + Trim("厚度" + "@") + wm + Chr(34)                                       '定义钣金厚度属性9 R0 I6 b1 z4 W
tg8 = Chr(34) + Trim("SW-Mass" + "@") + wm + Chr(34) + "kg"                             '定义质量属性
" F2 g3 ]  W* x' S9 ~tg9 = Chr(34) + Trim("SW-SurfaceArea" + "@") + wm + Chr(34) + "㎡"                      '定义表面积属性' k" s# ]) g: |
bRet = swModel2.DeleteCustomInfo2("", "图号")
) x: _: f! c- d: p) ]+ T" XbRet = swModel2.DeleteCustomInfo2("", "Description")4 G# {( }4 y% k9 Y% L
5 _% p0 Y+ ^. @3 }& i7 s" T

. N2 \( G- D0 \' W5 t9 Jwm1 = InStrRev(wm, " ") - 1                                                              '引号内为空格,菲律宾赌城官网:为图名分离符号        '从右向左搜索到第一个" "符号为第几个字串符% S1 R) H! j8 ]; g
If wm1 > 0 Then                                                                          '当mw1大于0量时7 c8 R+ e0 N! N0 I3 q
    wm2 = Left(wm, wm1)                                                                  'wm2等于从wm的左侧开始提取mw1个字符6 o. O  [$ G# N$ [& n
    wm3 = Left(LTrim(wm), 3)                                                             'wm等于wm去除左侧无效字符的左前三个字符* y, i8 ^9 H$ {, H
    If wm3 = "GBT" Then                                                                  '当wm3等于"GBT"时
& k; F$ S7 a9 c# X- z        wm4 = "GB/T" + Mid(wm2, 4)                                                       'wm4等于"GB/T"和wm2的第4个和后面的所有字符              '当零件是国标时添加国标号,文件名中/是非法字符
8 o( ?  Q, `! `% X    Else/ }) g3 \4 G5 C( k/ M' M
        wm4 = wm2                                                                         '否则wm4等wm2           '空格前面是图号8 l" I  N* _5 C7 ?/ \4 b+ u9 ^
    End If
( F2 T! q! e. ^# M) M# _
1 {1 H% P2 f" ?2 {    wm5 = Mid(wm, wm1 + 2)                                                                'wm5等于wm中的第wm1+2个后面的所有字符, m  \1 `6 }1 ^" c( S1 M3 Z( h
    wm6 = Right(wm, 7)                                                                    'wm6等于wm最后面的7个字符3 y2 W( n# l2 C4 Z. o- X8 p& w" d
    If wm6 = ".SLDPRT" Or wm6 = ".SLDASM" Or wm6 = ".sldprt" Or wm6 = ".sldasm" Then      '当wm6等于这4个值时
0 M/ t6 q  n$ p8 r! W5 R        wm7 = Len(wm5) - 7                                                                'wm7等于wm5的所有字符数-7
/ n; \) Z7 M+ X5 h8 Y% e% N    Else6 Q4 H. S( B' s, g0 _! F
        wm7 = Len(wm5)                                                                    '否则wm7等于wm5的所有字符数
. W8 F! n- S, [    End If
4 p$ [% o2 h, G; q    tg5 = Left(wm5, wm7)                                                                  'tg5等于wm5左侧的wm7个字符          ,空格后面是名称,有后缀名并去掉后缀名,无后缀后(文件未保存时)直接上档2 ]& J9 ^$ r' U2 G+ r! Z* l

6 @# \/ h( c! D4 J- ZEnd If                                                                                                                       '此段为图名分离定义% A0 S/ R  b+ a

% r- X: k" w/ J6 G5 W4 u6 ?# t2 _' b6 Y" f& r
If wm1 > 0 Then                                                                           '当wm1大于0时
$ y: C* q6 f/ y4 m8 Q: n, @; b% btg4 = wm4                                                                                 'tg4等于wm4              '文件名有空格时,图号为分离出来图号) _+ ^/ M+ d: z# }& T9 j
Else
' j# ?0 V; {: P    wm8 = Right(wm, 7)                                                                    'wm8等于wm最后面的7个字符
2 e! A. A3 p$ z  b0 I; |    If wm8 = ".SLDPRT" Or wm8 = ".SLDASM" Or wm8 = ".sldprt" Or wm8 = ".sldasm" Then      '当wm8等于这4个值时6 T. e% W& o8 ~% k5 i8 l
        wm9 = Len(wm) - 7                                                                 'wm9等于wm的所有字符数-7
% l2 h6 j, [" ?" f+ l& C    Else
8 y- }( x. n$ E9 w5 n0 Q* E        wm9 = Len(wm)/ S6 J* i- [* h6 k, P% _
    End If                                                                                '否则wm9等于wm所有字符数-7
, k+ r2 H1 X% n' l' D. |8 Wtg4 = Left(wm, wm9)                                                                       'tg4等于wm左侧的wm9个字符    '文件无空格时,文件名即是图号,并去掉后缀名,无后缀名(文件未保存时)直接上档
8 m  Q$ v7 `; w- MEnd If                                                                                                                        '此段为非图号名称命名文件,将文件名加到图号属性/ |* r0 A5 D6 z- z
'例,fgq01-001 前门板:分离后图号(fgq-001),名称(前门板)
2 w9 I3 B& T5 L% d* T2 ~( _  \'例,fgq01-001 前 门板:分离后图号(fgq-001 前),名称(门板)
7 e' r( R' a: {$ T! ~6 j; y) Y+ |'例,fgq01-001-前门板:分离后图号(fgq-001-前门板),名称为空
" d6 d( E. B( R" }5 _'以最后一个空格为准分离
3 E7 A) T3 }3 m1 c! R* J" D' @
0 J5 Z, {! U- A8 ^' _7 ?5 }' i) S" z2 t: y
lz1 = InStrRev(lz, "--")                                                                 'lz1为lz由后向前搜索到第一个"--"字符在第几个. Z3 m, L4 ^5 r+ d( {6 Z0 L
If lz1 > 0 Then                                                                          '当lz1大于0时# ]+ v7 V3 H0 }) d6 K9 O
lz2 = Mid(lz, lz1 - 8, 8)                                                                'lz2等于lz的第lz1-8个和其后面8个字符
  d- N- C7 m$ o. A8 dlz3 = Mid(lz, lz1 + 2)                                                                   'lz3等于lz的第lz2+2个后其后面所有字符
4 k1 i# M( @! c; Z1 |8 y& p! v8 w# klz4 = InStrRev(lz2, "\")                                                                 'lz4为lz2由后向前搜索到第一个"\"字符在第几个! z/ {0 k% y. @2 B% l3 ]+ y
lz5 = InStr(lz3, "\")                                                                    'lz5为lz2由前向后搜索到第一个"\"字符在第几个
. Y4 f0 `, N: Y& O' L  E, T1 itg1 = Mid(lz2, lz4 + 1)                                                                  'tg1等于lz2的第lz4+1个后面的所有字符7 s) g% v8 A9 X+ @$ C* x' |  }1 @
'tg1 = Right(lz2, 8 - lz4)                                                               'tg1等于lz2右侧的8-lz4个字符(lz2总字符为8个)7 ?0 ?0 D( p4 `( R8 [; i
tg2 = Left(lz3, lz5 - 1)                                                                 'tg2等于lz3左侧的lz5-1个字符
/ g/ v- n1 q) g+ H+ U# B& g
2 |8 Z( e# D) x# p% y- P; ~6 X% F" _; zlz6 = Mid(lz3, lz5 + 1)                                                                  'lz6等于lz3第lz5+1个后面的所有字符3 O6 M( k3 t' P+ c# ^) Y" _% l( D
lz7 = InStr(lz6, "\")                                                                    'lz7为lz6由左向右搜索出第一个"\"字符在第几个0 H0 g' i  J1 c# z5 ?% i
If lz7 > 0 Then                                                                          '当lz7大于0时
4 t: B% \- Y% otg3 = Left(lz6, lz7 - 1)                                                                 'tg3等于lz6左侧的lz7-1个字符
5 P& y' x6 u" ^; t" r$ D- j& hEnd If" L6 v: S, @! _! k2 T0 \
End If                                                                                    '此段为文件路径提取项目号
# w0 ~) P9 X5 w* X5 F% A9 C'例,零件文件完整路径为:E:\工作文档\B-非标产品\非标--F类\FGQ--定制角架\2020版\前门板.SLDPRT
! |6 s8 j. K) _  D, w( h'由后向前搜索“--”,第一个“--”向前到“\”间为产品编号(FGQ),向后到“\”间为产品名称(定制角架),向后的第一个“\”和第二个间“\”,为版本号(2020版)。
# g# v1 \9 j* G/ d7 Z3 ~% M; i! f8 v
% G+ u  M; r- F! K
7 Y- S, W8 ~& U% ~* l5 J) p0 k$ ?
bRet = swModel2.AddCustomInfo3("", "产品编号", swCustomInfoText, tg1)/ i, f; R8 L- S* I  E6 T2 W# R
bRet = swModel2.AddCustomInfo3("", "产品名称", swCustomInfoText, tg2)* t2 y( `) B; m: [! X% _8 f% }  c
bRet = swModel2.AddCustomInfo3("", "版本号", swCustomInfoText, tg3)5 R5 u% f/ E0 m5 d. z# t3 N
bRet = swModel2.AddCustomInfo3("", "图号", swCustomInfoText, tg4)
/ x+ E' \0 ^! W+ I- jbRet = swModel2.AddCustomInfo3("", "Description", swCustomInfoText, tg5)) X  j* P8 A( S& X2 A( I5 K
bRet = swModel2.AddCustomInfo3("", "数量", swCustomInfoText, "1")* q2 `) D" R8 d# F
bRet = swModel2.AddCustomInfo3("", "备注1", swCustomInfoText, " ")
1 r! @5 N9 {) z% wbRet = swModel2.AddCustomInfo3("", "备注2", swCustomInfoText, " ")4 a- {1 B9 a  J6 Q* o
bRet = swModel2.AddCustomInfo3("", "备注3", swCustomInfoText, " ")' \6 B* C3 q. [- G
bRet = swModel2.AddCustomInfo3("", "Material", swCustomInfoText, tg6)' G7 W/ z6 Y9 ~$ f3 a
bRet = swModel2.AddCustomInfo3("", "SH", swCustomInfoText, tg7)( |; b9 S2 @' O- b
bRet = swModel2.AddCustomInfo3("", "重量", swCustomInfoText, tg8)
  g5 u9 G* U# ZbRet = swModel2.AddCustomInfo3("", "表面积", swCustomInfoText, tg9)                         '此段为填写自定义属性项与其值+ e4 ?! f6 Q. |$ t/ i! }3 |
- H8 T+ y5 o, e) K0 s$ N7 y, [
Dim thisFeat As SldWorks.Feature                                                         '另外增加一段宏,取读取切割清单数据,并添加到属性项。- L1 [$ t% ?" j9 e
Dim thisSubFeat As SldWorks.Feature
5 F5 V" z/ s8 a$ lDim cutFolder As Object6 W) w( `! ^& p1 @1 H- L+ o
Dim BodyCount As Integer1 h- p2 O# B( h1 K3 l5 p' J$ K8 m
Dim custPropMgr As SldWorks.CustomPropertyManager# L/ l3 ]  h4 E; j1 `* n
Dim propNames As Variant6 J; m/ g4 Z7 @% |( j: `4 ~
Dim vName As Variant
8 w' F( E6 o' u) J8 `. ?( l5 {Dim propName As String
5 O+ z3 Q6 T. M& @7 z( \: EDim Value As String+ c* ]# e& J0 M+ n0 [8 n
Dim resolvedValue As String" d  N# {$ }# C, |( n: C
Dim bjkcd As Double
1 P1 c1 I7 W0 R( LDim bjkkd As Double
( i, m: D  C3 J; k- m/ }: n* \'Sub main()
) F% v2 V3 ]0 C7 b5 ^7 f'Set swApp = Application.SldWorks( u7 [3 I. G9 _. I3 O
Set Part = swApp.ActiveDoc, _3 N3 _) y! H$ S+ z0 S& P- t2 i
Set thisFeat = Part.FirstFeature7 `( S% _! O( v, Q
Do While Not thisFeat Is Nothing '遍历设计树
; A7 U0 M) ^4 F7 q+ I3 U0 ]If thisFeat.GetTypeName = "SolidBodyFolder" Then, |0 k  F  F+ w1 A+ o' N/ x% ~
thisFeat.GetSpecificFeature2.UpdateCutList
1 U0 G* I- Z. d5 K% s4 `End If
- `9 |5 ^# }  X0 I" dSet thisSubFeat = thisFeat.GetFirstSubFeature1 {8 t1 f, i  ?; r8 D% g& E9 g7 [
Do While Not thisSubFeat Is Nothing+ h: i) U8 Y0 N9 `
If thisSubFeat.GetTypeName = "CutListFolder" Then '查找切割清单, K( N& a2 W# a4 a. @/ J
Set cutFolder = thisSubFeat.GetSpecificFeature2
. }$ ^- g8 K' ?' E% r! g3 A  gEnd If
( o3 H2 J! Z5 K$ b* }, _3 P9 X! @3 mIf Not cutFolder Is Nothing Then( v2 L2 U% ~6 J
BodyCount = cutFolder.GetBodyCount
' Z4 l; E- e% I+ f- ?If BodyCount > 0 Then
0 F6 w8 L" ^# R' HSet custPropMgr = thisSubFeat.CustomPropertyManager
: v6 h* M: d9 UIf Not custPropMgr Is Nothing Then
' E; R$ T' \* m. h2 T( H# L& rpropNames = custPropMgr.GetNames '获取切割清单属性的数据全部名称并放入数组9 p# x4 o9 n, G( W* `  t  D0 z* k) i2 m6 C
If Not IsEmpty(propNames) Then
5 i5 e' Q  s& [For Each vName In propNames0 T/ r/ ~+ G* n, Y
propName = vName
! ?. s! i1 A* X8 X# scustPropMgr.Get2 propName, Value, resolvedValue '获取全部属性名称 ,数值和评估的值
. f, f4 L' V$ }/ y: rIf propName = "边界框长度" Then bjkcd = resolvedValue '判断是否是自己所需要的数据,如果是就获取, q( w% R9 |9 i- W
If propName = "边界框宽度" Then bjkkd = resolvedValue
9 i$ I: X9 Z) I0 x& DNext vName
8 f; B" v4 h4 V" AEnd If0 U; H0 ]: c+ V2 O% o
End If
5 [9 N+ m/ _+ ^- Y2 _' H8 C/ FEnd If9 m/ G! h/ f4 v0 W
End If; E$ [. w4 Z+ N" N! b3 F
Set thisSubFeat = thisSubFeat.GetNextSubFeature* i! i5 k$ I3 ~" R4 p. A
Loop) G$ q8 ~# X& {% Y
Set thisFeat = thisFeat.GetNextFeature
3 j5 V% b- r; b" y. Y  vLoop/ R- d' c8 H* {& c7 z( P
'blnretval = Part.DeleteCustomInfo2("", "边界框长度") '删除属性栏上摘要信息的数据
! Q2 Q# n4 x; Y& D% ]/ P'blnretval = Part.DeleteCustomInfo2("", "边界框宽度")+ E" f: t5 k9 N1 S+ E3 x
blnretval = Part.AddCustomInfo3("", "开料长度", swCustomInfoText, bjkcd) '添加数据到摘要信息
, ?: s4 M3 v8 hblnretval = Part.AddCustomInfo3("", "开料宽度", swCustomInfoText, bjkkd)
! ~3 j0 d( O8 |; K. W8 J1 _% U* A( Y2 G$ K
End Sub
' V3 }) G! _1 v( R) `; _% i; [7 h# `5 H6 q& E

本帖子中包含更多资源

本文地址:http://685.pshenbo55.com/thread-1024543-1-1.html
文章摘要:菲律宾赌城官网,他此时应该也在坐山观虎斗是啊伯爵真人美女、菲律宾大赢家开户、大三巴游戏sunbet官网十字身边不缺少红颜知己。

您需要 登录 才可以下载或查看,没有帐号?注册会员

x
2#
发表于 7 天前 | 只看该作者
挺复杂啊,比较难用吧??
3#
发表于 7 天前 | 只看该作者
这个是不是CAD转pdf的?佩服做软件二次开发的人。
4#
发表于 7 天前 | 只看该作者
学习一下。
5#
 楼主| 发表于 7 天前 | 只看该作者
晓昀 发表于 2021-1-13 17:17. S& q: f9 c/ s# q5 ^+ u
这个是不是CAD转pdf的?佩服做软件二次开发的人。

- r( s6 Z9 p; {/ tcad转PDF,用cad的PDF打印机就行了,这个是sw转dwg,dxf,和pdf等格式的。
5 j2 ]4 O5 F) [2 a

点评

大牛!  发表于 7 天前
您需要登录后才可以回帖 登录 | 注册会员

本版积分规则

小黑屋|手机版|Archiver|中国机械社区 ( 京ICP备10217105号,京ICP证050210号,京公网安备11010802010176 )  

GMT+8, 2021-1-20 04:58 , Processed in 0.056747 second(s), 10 queries , Gzip On, MemCache On.

Powered by Discuz! X3.4 Licensed

© 2001-2017 新葡京娱乐城备用网址

申博网上娱乐城 返回顶部 返回列表
新葡京娱乐城备用网址 新金沙集团网站 盈丰国际娱乐玩法 澳门百乐宫网站 太阳城大同
摩斯国际游戏app下载 开心8投注1元起 188金宝博网站 九五至尊真人洗码 U宝欢乐棋牌
亿豪女优百家乐 社区棋牌室制度 顶尖电子棋牌捕鱼 金三角得意彩金 顶级游乐城赌场
莎莎国际娱乐开户 澳门金沙网上娱乐 申博怎样开户429yy1 澳门星际天天返水3.0% 永利娱乐场